RecursiveTreeIterator::callHasChildren
RecursiveTreeIterator::current
RecursiveTreeIterator
PHP Manual

# RecursiveTreeIterator::__construct

(PHP 5 >= 5.3.0)

RecursiveTreeIterator::__construct — Construct a RecursiveTreeIterator

### Description

RecursiveTreeIterator::__construct ( RecursiveIterator|IteratorAggregate `$it` [, int `$flags` = RecursiveTreeIterator::BYPASS_KEY [, int `$cit_flags` = CachingIterator::CATCH_GET_CHILD [, int `$mode` = RecursiveIteratorIterator::SELF_FIRST ]]] )

Constructs a new RecursiveTreeIterator from the supplied recursive iterator.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`it`

  The RecursiveIterator or IteratorAggregate to iterate over.

`flags`

  Flags may be provided which will affect the behavior of some methods. A list of the flags can found under RecursiveTreeIterator predefined constants.

`caching_it_flags`

  Flags to affect the behavior of the RecursiveCachingIterator used internally.

`mode`

  Flags to affect the behavior of the RecursiveIteratorIterator used internally.

### Return Values

No value is returned.

RecursiveTreeIterator::callHasChildren
RecursiveTreeIterator::current
RecursiveTreeIterator
PHP Manual